
My death started on a Tuesday, September 11 of 2001. Well first off, that day started with my younger brother having to be taken to the emergency room due to a high fever of 107. The day to me seemed different; it almost felt as if something bad was going to happen. Although, I did not know much about life or death at the age of 10, one thing was certain the events that occurred that day, I will never forget. Thinking about that day as I write this brings chills up my spine because on that day I passed away due to chest congestion and eating while playing sports.

What led that to happening were two things, and those two things were fear and death. I say fear and death because of what was happening at the time to the people in New York. While the towers collapsed, thousands of people died in that smoke, which was created due to the collapse of the towers. I saw something that I never imagined I would see. I saw was the Devil's face while he smiled at what was occurring. I remember it still to this day because I know he exists and it was because of all that fear and death and his face. What I saw on television somehow led me to my death. Watching all those people die and then seeing the devil's face smile, made me feel inside as if someone had stolen something from me that day.

I began to eat like crazy and in a sudden moment, I stopped because I saw my friends playing soccer outside my house on the playground. I felt like throwing up while I was playing but never managed to throw up. For some reason we stopped playing and I went inside my house and continued to eat and eat some more. While everyone in my family was watching the images and videos of what happened on that day, and while I continued eating, I would tell my mom to look at the clouds of smoke and ask her if she saw the devil's face. She said, 'Yes,' but no one else saw it.

At 7:55 pm that day, my mother had noticed we were out of milk, so she asked my dad and me to the local store and buy some. What was strange though, was that my father worked for the union in those years so he was hardly ever home. We got to the van and I felt weird, even my dad noticed it and asked me if I was okay. I replied, 'Yes, I'm okay'. What happened in the van I also felt bad because I had a spider on me that for some reason did not bite me. It was a deadly one, that I am certain. Well as I threw the spider out the window, we began to head to the store. We got to the store with 2 minutes to spare. My dad saw that a man was locking up the doors so he asked me to run as fast as I could to buy the milk. I got the milk and we headed home.

Once at home, I felt tired so I went to sleep around 8:30 or 9 pm. The thing was I never felt so weak or tired and what kid would at that age would feel so badly. Nonetheless, I did and went to bed early. What followed afterwards was my death.

I woke up in a place where everything was white and clear, I felt alive for the very first time. I had no pain, no sadness or anything. All I felt was love and peace. As I looked around a bright light hit my face and blinded me. As I tried getting closer to it, the more at peace I felt. Suddenly, someone was covering the light and began to get closer and closer to me. As that someone was getting closer to me, my heart felt joy, love and peace. Once he was in front of me, he hugged me and told me that he was my father and the one who created me. When he told me that, I knew I was home but in his words; he told me it was not my time and that he would call me again when it was. I was to tell my story so that those who do not believe in him could see that he does exist and he is watching over us. Once God told me that, I woke up in the hospital as if nothing ever happened.

Upon waking up, my parents said that I was vomiting so badly, that the room was wrecked. After that, we left home and the next day my parents began to tell me what happened to me and how everything turned out the way it did. My mom told me she was the one who found me in the room dead. She asked my father and uncle to take me out to try to perform CPR [cardio-pulmonary resuscitation] to get a pulse. As my father was giving me CPR, he asked my mom to go get alcohol from a neighbor. She went outside and screamed, came back in and had nothing, so my dad had to slap her so she could snap out of it and get the alcohol. Once she had the alcohol, the paramedics came and as soon as they saw me they said I was dead and had no way of coming back. My dad with all his heart would not allow them to say that, continued performing CPR, and told God to please not to take me. In that moment, my mother said God heard my father and gave the paramedics a pulse. My mom told me that I was declared dead for 10 minutes.

After the whole incident, my mother admitted she never saw the face of the devil on the day of 9/11. All I have to say is: that God exists and he knew that my family needed me and others would need me too, that is why he sent me back to share this experience and let those who do not believe in him know he is with all of us.
